def create_floppy_load_sector_code(boot, log, nCylinders, segment, offset)	
   boot.puts "floppy_load_sector:"
   boot.puts "   mov ax, 0x" + segment.to_s(16)
   boot.puts "   mov es, ax"
   boot.puts "   mov bx, 0x" + offset.to_s(16)      
   boot.puts "   mov ah, 02h"          
   boot.puts "   mov al, 18 "             
   boot.puts "   mov ch, 0  "           
   boot.puts "   mov cl, 01h"             
   boot.puts "   mov dh, 0x00"           
   boot.puts "\n"
   boot.puts "floppy_load_sector_loop: "
   boot.puts "   int 0x13"  
   boot.puts "   mov ax, es"
   boot.puts "   add ax, 0x0240"
   boot.puts "   mov es, ax"
   boot.puts "   mov ah, 0x02"
   boot.puts "   mov al, 18"
   boot.puts "   inc dh"
   boot.puts "   cmp dh, 2"
   boot.puts "   jne floppy_load_sector_loop"
   boot.puts "   mov dh, 0"
   boot.puts "   inc ch"
   boot.puts "   cmp ch, 0x" + nCylinders.to_s(16)
   boot.puts "   jne floppy_load_sector_loop "
   boot.puts "\n"
   log.puts "create_floppy_load_sector_code(boot, log, nCylinders, segment, offset) completed"
end
